/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <defines.hpp>
#include <Device.hpp>
#include <Brother_M_1309_Resolutions.hpp>
#include <Brother_HJ_100i_Medias.hpp>
#include <Brother_M_1809_Color_PrintModes.hpp>
#include <Brother_M_4309_Gammas.hpp>

typedef struct _GAMMATABLE {
   PSZCRO             pszResolutionID;
   PSZCRO             pszMediaID;
   PSZCRO             pszPrintModeID;
   PSZCRO             pszDitherCatagoryID;
   unsigned short int usCGamma;
   unsigned short int usMGamma;
   unsigned short int usYGamma;
   unsigned short int usKGamma;
   unsigned short int usCBias;
   unsigned short int usMBias;
   unsigned short int usYBias;
   unsigned short int usKBias;
} GAMMATABLE, *PGAMMATABLE;

GAMMATABLE gtBrother_M_4309_Gammas[] = {
   {"120x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"120x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"120x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"120x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"120x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"120x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"240x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"240x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"240x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_DIFFUSION",13,13,13,8,0,0,0,0},
   {"240x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_MATRIX",14,14,14,14,0,0,0,0},
   {"240x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_DIFFUSION",13,13,13,8,0,0,0,0},
   {"240x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_MATRIX",14,14,14,14,0,0,0,0},
   {"60x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"60x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"60x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"60x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"60x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"60x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"72x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"72x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"72x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"72x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"72x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"72x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"80x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"80x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"80x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"80x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"80x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"80x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"90x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"90x72","MEDIA_PLAIN","PRINT_MODE_1_ANY","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"90x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"90x72","MEDIA_PLAIN","PRINT_MODE_24_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
   {"90x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_DIFFUSION",10,10,10,7,0,0,0,0},
   {"90x72","MEDIA_PLAIN","PRINT_MODE_8_CMYK","DITHER_CATAGORY_MATRIX",10,10,10,10,0,0,0,0},
};

DeviceGamma * Brother_M_4309_Gammas::
getDeviceGamma (PSZCRO pszResolutionID,
                PSZCRO pszMediaID,
                PSZCRO pszPrintModeID,
                PSZCRO pszDitherID)
{
   PSZCRO pszDitherCatagoryID = DeviceDither::getDitherCatagory (pszDitherID);

   for (int i = 0; i < (int)dimof (gtBrother_M_4309_Gammas); i++)
   {
      if (  0 == strcmp (pszResolutionID,     gtBrother_M_4309_Gammas[i].pszResolutionID)
         && 0 == strcmp (pszMediaID,          gtBrother_M_4309_Gammas[i].pszMediaID)
         && 0 == strcmp (pszPrintModeID,      gtBrother_M_4309_Gammas[i].pszPrintModeID)
         && 0 == strcmp (pszDitherCatagoryID, gtBrother_M_4309_Gammas[i].pszDitherCatagoryID)
         )
      {
         return new DeviceGamma ((int)gtBrother_M_4309_Gammas[i].usCGamma,
                                 (int)gtBrother_M_4309_Gammas[i].usMGamma,
                                 (int)gtBrother_M_4309_Gammas[i].usYGamma,
                                 (int)gtBrother_M_4309_Gammas[i].usKGamma,
                                 (int)gtBrother_M_4309_Gammas[i].usCBias,
                                 (int)gtBrother_M_4309_Gammas[i].usMBias,
                                 (int)gtBrother_M_4309_Gammas[i].usYBias,
                                 (int)gtBrother_M_4309_Gammas[i].usKBias);
      }
   }

   return 0;
}
