/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <Canon_BJC_8500_Commands.hpp>

Canon_BJC_8500_Commands::
Canon_BJC_8500_Commands()
{
   static byte cmdAbort[] = {27,40,97,1,0,0,27,40,98,1,0,0,27,64};
   static byte cmdBJLCommon[] = {67,111,110,116,114,111,108,77,111,100,101,61,67,111,109,109,111,110,10};
   static byte cmdBJLEnd[] = {66,74,76,69,78,68,10};
   static byte cmdBJLInit[] = {0,0,0,27,91,75,2,0,0,31};
   static byte cmdBJLModeBJ[] = {67,111,110,116,114,111,108,77,111,100,101,61,66,74,10};
   static byte cmdBJLModeLQ[] = {67,111,110,116,114,111,108,77,111,100,101,61,76,81,10};
   static byte cmdBJLStart[] = {0,0,0,66,74,76,83,84,65,82,84,10};
   static byte cmdEndRasterGraphicsLine[] = {13};
   static byte cmdInit[] = {0,0,0,27,91,75,2,0,0,15,27,40,97,1,0,1};
   static byte cmdMoveToNextRasterGraphicsLine[] = {27,40,101,2,0,0,1};
   static byte cmdPageEject[] = {12};
   static byte cmdReset[] = {27,40,97,1,0,0,27,40,98,1,0,0,27,64};
   static byte cmdSetCompression[] = {27,40,98,1,0,37,99};
   static byte cmdSetMono[] = {27,40,99,1,0,1};
   static byte cmdSetPageID[] = {27,40,113,1,0,1};
   static byte cmdSetYPos[] = {27,40,101,2,0,37,87};
   static byte cmdTerm[] = {27,40,97,1,0,0,27,40,98,1,0,0,27,64};
   static byte cmdTransferRasterPlane[] = {27,40,65,37,119,37,99};

   add ("cmdAbort", new BinaryData (cmdAbort, dimof (cmdAbort)));
   add ("cmdBJLCommon", new BinaryData (cmdBJLCommon, dimof (cmdBJLCommon)));
   add ("cmdBJLEnd", new BinaryData (cmdBJLEnd, dimof (cmdBJLEnd)));
   add ("cmdBJLInit", new BinaryData (cmdBJLInit, dimof (cmdBJLInit)));
   add ("cmdBJLModeBJ", new BinaryData (cmdBJLModeBJ, dimof (cmdBJLModeBJ)));
   add ("cmdBJLModeLQ", new BinaryData (cmdBJLModeLQ, dimof (cmdBJLModeLQ)));
   add ("cmdBJLStart", new BinaryData (cmdBJLStart, dimof (cmdBJLStart)));
   add ("cmdEndRasterGraphicsLine", new BinaryData (cmdEndRasterGraphicsLine, dimof (cmdEndRasterGraphicsLine)));
   add ("cmdInit", new BinaryData (cmdInit, dimof (cmdInit)));
   add ("cmdMoveToNextRasterGraphicsLine", new BinaryData (cmdMoveToNextRasterGraphicsLine, dimof (cmdMoveToNextRasterGraphicsLine)));
   add ("cmdPageEject", new BinaryData (cmdPageEject, dimof (cmdPageEject)));
   add ("cmdReset", new BinaryData (cmdReset, dimof (cmdReset)));
   add ("cmdSetCompression", new BinaryData (cmdSetCompression, dimof (cmdSetCompression)));
   add ("cmdSetMono", new BinaryData (cmdSetMono, dimof (cmdSetMono)));
   add ("cmdSetPageID", new BinaryData (cmdSetPageID, dimof (cmdSetPageID)));
   add ("cmdSetYPos", new BinaryData (cmdSetYPos, dimof (cmdSetYPos)));
   add ("cmdTerm", new BinaryData (cmdTerm, dimof (cmdTerm)));
   add ("cmdTransferRasterPlane", new BinaryData (cmdTransferRasterPlane, dimof (cmdTransferRasterPlane)));
}
