/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <Canon_BJ_F800_Data.hpp>

Canon_BJ_F800_Data::
Canon_BJ_F800_Data ()
{
   static byte cmdSetColor2[] = {27,40,99,3,0,48,37,99,37,99};
   static byte cmdSetImage[] = {27,40,116,3,0,37,99,0,37,99};
   static byte cmdSetMono2[] = {27,40,99,3,0,37,99,37,99,37,99};
   static byte cmdSetPageMargins2[] = {27,40,112,8,0,37,100,37,100};
   static byte hackCmdSetMono[] = {1,0,0,0};
   static byte setImageParm1[] = {0,0,0,1};
   static byte setImageParm2[] = {0,0,0,4};

   add ("cmdSetColor2", new BinaryData (cmdSetColor2, dimof (cmdSetColor2)));
   add ("cmdSetImage", new BinaryData (cmdSetImage, dimof (cmdSetImage)));
   add ("cmdSetMono2", new BinaryData (cmdSetMono2, dimof (cmdSetMono2)));
   add ("cmdSetPageMargins2", new BinaryData (cmdSetPageMargins2, dimof (cmdSetPageMargins2)));
   add ("hackCmdSetMono", new BinaryData (hackCmdSetMono, dimof (hackCmdSetMono)));
   add ("setImageParm1", new BinaryData (setImageParm1, dimof (setImageParm1)));
   add ("setImageParm2", new BinaryData (setImageParm2, dimof (setImageParm2)));
}
