/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <Canon_S450_Data.hpp>

Canon_S450_Data::
Canon_S450_Data ()
{
   static byte cmdSetColor2[] = {27,40,99,3,0,48,37,99,37,99};
   static byte cmdSetImage[] = {27,40,116,3,0,37,99,37,99,37,99};
   static byte cmdSetMono2[] = {27,40,99,3,0,37,99,37,99,37,99};
   static byte cmdSetPageMargins[] = {27,40,103,3,0,37,99,1,37,99};
   static byte minPageLength[] = {0,0,0,230};
   static byte minRightMargin[] = {0,0,0,160};
   static byte setImageParm1[] = {0,0,0,1};
   static byte setImageParm2[] = {0,0,0,0};

   add ("cmdSetColor2", new BinaryData (cmdSetColor2, dimof (cmdSetColor2)));
   add ("cmdSetImage", new BinaryData (cmdSetImage, dimof (cmdSetImage)));
   add ("cmdSetMono2", new BinaryData (cmdSetMono2, dimof (cmdSetMono2)));
   add ("cmdSetPageMargins", new BinaryData (cmdSetPageMargins, dimof (cmdSetPageMargins)));
   add ("minPageLength", new BinaryData (minPageLength, dimof (minPageLength)));
   add ("minRightMargin", new BinaryData (minRightMargin, dimof (minRightMargin)));
   add ("setImageParm1", new BinaryData (setImageParm1, dimof (setImageParm1)));
   add ("setImageParm2", new BinaryData (setImageParm2, dimof (setImageParm2)));
}
