/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _Epson_ActionLaser_1400_Trays
#define _Epson_ActionLaser_1400_Trays

#include <BinaryData.hpp>
#include <DeviceTray.hpp>

class Epson_ActionLaser_1400_Trays : public DeviceTray
{
public:
   enum {
      TRAY_TYPE_AUTO
   };
Epson_ActionLaser_1400_Trays (Device *pDevice,
                          PSZCRO      pszJobProperties,
                          int         iType,
                          BinaryData *data);

   DeviceTray          *create         (Device *pDevice, PSZCRO pszJobProperties);
   static DeviceTray   *createS        (Device *pDevice, PSZCRO pszJobProperties);

   bool                 isSupported    (PSZCRO  pszJobProperties);
   virtual Enumeration *getEnumeration (bool    fInDeviceSpecific);
};

#endif
