/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <Epson_Generic_ESC2P_Commands.hpp>

Epson_Generic_ESC2P_Commands::
Epson_Generic_ESC2P_Commands()
{
   static byte cmdAbort[] = {12,27,64};
   static byte cmdBeginRasterGraphics[] = {27,40,71,1,0,1};
   static byte cmdBidi[] = {27,85,37,99};
   static byte cmdEndRasterGraphicsLine[] = {13};
   static byte cmdInit[] = {27,64,0,0};
   static byte cmdMoveToNextRasterGraphicsLine[] = {10};
   static byte cmdPageEject[] = {12};
   static byte cmdReset[] = {27,64};
   static byte cmdSetColor[] = {27,114,37,100};
   static byte cmdSetDotSize[] = {27,40,101,2,0,1,0};
   static byte cmdSetFormSize[] = {27,40,67,2,0,37,119};
   static byte cmdSetHardwareMicroweave[] = {27,40,105,1,0,37,99};
   static byte cmdSetPageLengthInLines[] = {27,67,37,99};
   static byte cmdSetResolution[] = {27,40,85,1,0,37,99};
   static byte cmdSetSixthLineSpacing[] = {27,50};
   static byte cmdSetXPos[] = {27,36,37,119};
   static byte cmdSetYPos[] = {27,40,86,2,0,37,119};
   static byte cmdTerm[] = {27,64};
   static byte cmdUSBInit[] = {0,0,0,27,1,64,69,74,76,32,49,50,56,52,46,52,10,64,69,74,76,32,32,32,32,32,10};

   add ("cmdAbort", new BinaryData (cmdAbort, dimof (cmdAbort)));
   add ("cmdBeginRasterGraphics", new BinaryData (cmdBeginRasterGraphics, dimof (cmdBeginRasterGraphics)));
   add ("cmdBidi", new BinaryData (cmdBidi, dimof (cmdBidi)));
   add ("cmdEndRasterGraphicsLine", new BinaryData (cmdEndRasterGraphicsLine, dimof (cmdEndRasterGraphicsLine)));
   add ("cmdInit", new BinaryData (cmdInit, dimof (cmdInit)));
   add ("cmdMoveToNextRasterGraphicsLine", new BinaryData (cmdMoveToNextRasterGraphicsLine, dimof (cmdMoveToNextRasterGraphicsLine)));
   add ("cmdPageEject", new BinaryData (cmdPageEject, dimof (cmdPageEject)));
   add ("cmdReset", new BinaryData (cmdReset, dimof (cmdReset)));
   add ("cmdSetColor", new BinaryData (cmdSetColor, dimof (cmdSetColor)));
   add ("cmdSetDotSize", new BinaryData (cmdSetDotSize, dimof (cmdSetDotSize)));
   add ("cmdSetFormSize", new BinaryData (cmdSetFormSize, dimof (cmdSetFormSize)));
   add ("cmdSetHardwareMicroweave", new BinaryData (cmdSetHardwareMicroweave, dimof (cmdSetHardwareMicroweave)));
   add ("cmdSetPageLengthInLines", new BinaryData (cmdSetPageLengthInLines, dimof (cmdSetPageLengthInLines)));
   add ("cmdSetResolution", new BinaryData (cmdSetResolution, dimof (cmdSetResolution)));
   add ("cmdSetSixthLineSpacing", new BinaryData (cmdSetSixthLineSpacing, dimof (cmdSetSixthLineSpacing)));
   add ("cmdSetXPos", new BinaryData (cmdSetXPos, dimof (cmdSetXPos)));
   add ("cmdSetYPos", new BinaryData (cmdSetYPos, dimof (cmdSetYPos)));
   add ("cmdTerm", new BinaryData (cmdTerm, dimof (cmdTerm)));
   add ("cmdUSBInit", new BinaryData (cmdUSBInit, dimof (cmdUSBInit)));
}
