/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <Epson_PCL_Commands.hpp>

Epson_PCL_Commands::
Epson_PCL_Commands()
{
   static byte cmdAbort[] = {27,69,27,38,107,48,71};
   static byte cmdBeginRasterGraphics[] = {27,42,114,37,110,65};
   static byte cmdBidi[] = {27,38,75,49,87};
   static byte cmdConfigureImageData1BPP[] = {27,42,118,54,87,0,1,1,8,8,8};
   static byte cmdConfigureImageData24BPP[] = {27,42,118,54,87,0,3,0,8,8,8};
   static byte cmdConfigureRasterDataHeader[] = {27,42,103,37,110,87};
   static byte cmdConfigureRasterDataParam1[] = {37,99,37,99};
   static byte cmdConfigureRasterDataParam2[] = {37,87,37,87,37,87};
   static byte cmdEOLWrapOff[] = {27,38,115,49,67};
   static byte cmdEOLWrapOn[] = {27,38,115,48,67};
   static byte cmdEndRasterGraphics[] = {27,42,114,67};
   static byte cmdEnterLanguage[] = {27,37,45,49,50,51,52,53,88,64,80,74,76,32,69,78,84,69,82,32,76,65,78,71,85,65,71,69,61,80,67,76,32,10};
   static byte cmdInit[] = {27,69,27,38,107,48,71};
   static byte cmdLandscape[] = {27,38,108,49,79};
   static byte cmdLineTerm[] = {27,37,107,37,110,71};
   static byte cmdPageEject[] = {12};
   static byte cmdPortrait[] = {27,38,108,48,79};
   static byte cmdReset[] = {27,69};
   static byte cmdSelfTest[] = {27,90};
   static byte cmdSetColorLookupTable[] = {27,42,108,37,110,87};
   static byte cmdSetColorLookupTableDataParm[] = {37,99};
   static byte cmdSetCompression[] = {27,42,98,37,110,77};
   static byte cmdSetDestinationRasterHeight[] = {27,42,116,37,102,86};
   static byte cmdSetDestinationRasterWidth[] = {27,42,116,37,102,72};
   static byte cmdSetResolution[] = {27,42,116,37,110,82};
   static byte cmdSetSourceRasterHeight[] = {27,42,114,37,110,84};
   static byte cmdSetSourceRasterWidth[] = {27,42,114,37,110,83};
   static byte cmdSetTopMargin[] = {27,38,108,48,69};
   static byte cmdSetUnitsOfMeasure[] = {27,38,117,37,110,68};
   static byte cmdSetXPos[] = {27,42,112,37,110,88};
   static byte cmdSetXYPos[] = {27,42,112,37,110,120,37,110,89};
   static byte cmdSetYPos[] = {27,42,112,37,110,89};
   static byte cmdTerm[] = {27,69};
   static byte cmdTextLtoR[] = {27,38,107,48,87};
   static byte cmdTextScaleOff[] = {27,38,107,54,87};
   static byte cmdTextScaleOn[] = {27,38,107,53,87};
   static byte cmdTransferRasterBlock[] = {27,42,98,37,110,87};
   static byte cmdTransferRasterPlane[] = {27,42,98,37,110,86};

   add ("cmdAbort", new BinaryData (cmdAbort, dimof (cmdAbort)));
   add ("cmdBeginRasterGraphics", new BinaryData (cmdBeginRasterGraphics, dimof (cmdBeginRasterGraphics)));
   add ("cmdBidi", new BinaryData (cmdBidi, dimof (cmdBidi)));
   add ("cmdConfigureImageData1BPP", new BinaryData (cmdConfigureImageData1BPP, dimof (cmdConfigureImageData1BPP)));
   add ("cmdConfigureImageData24BPP", new BinaryData (cmdConfigureImageData24BPP, dimof (cmdConfigureImageData24BPP)));
   add ("cmdConfigureRasterDataHeader", new BinaryData (cmdConfigureRasterDataHeader, dimof (cmdConfigureRasterDataHeader)));
   add ("cmdConfigureRasterDataParam1", new BinaryData (cmdConfigureRasterDataParam1, dimof (cmdConfigureRasterDataParam1)));
   add ("cmdConfigureRasterDataParam2", new BinaryData (cmdConfigureRasterDataParam2, dimof (cmdConfigureRasterDataParam2)));
   add ("cmdEOLWrapOff", new BinaryData (cmdEOLWrapOff, dimof (cmdEOLWrapOff)));
   add ("cmdEOLWrapOn", new BinaryData (cmdEOLWrapOn, dimof (cmdEOLWrapOn)));
   add ("cmdEndRasterGraphics", new BinaryData (cmdEndRasterGraphics, dimof (cmdEndRasterGraphics)));
   add ("cmdEnterLanguage", new BinaryData (cmdEnterLanguage, dimof (cmdEnterLanguage)));
   add ("cmdInit", new BinaryData (cmdInit, dimof (cmdInit)));
   add ("cmdLandscape", new BinaryData (cmdLandscape, dimof (cmdLandscape)));
   add ("cmdLineTerm", new BinaryData (cmdLineTerm, dimof (cmdLineTerm)));
   add ("cmdPageEject", new BinaryData (cmdPageEject, dimof (cmdPageEject)));
   add ("cmdPortrait", new BinaryData (cmdPortrait, dimof (cmdPortrait)));
   add ("cmdReset", new BinaryData (cmdReset, dimof (cmdReset)));
   add ("cmdSelfTest", new BinaryData (cmdSelfTest, dimof (cmdSelfTest)));
   add ("cmdSetColorLookupTable", new BinaryData (cmdSetColorLookupTable, dimof (cmdSetColorLookupTable)));
   add ("cmdSetColorLookupTableDataParm", new BinaryData (cmdSetColorLookupTableDataParm, dimof (cmdSetColorLookupTableDataParm)));
   add ("cmdSetCompression", new BinaryData (cmdSetCompression, dimof (cmdSetCompression)));
   add ("cmdSetDestinationRasterHeight", new BinaryData (cmdSetDestinationRasterHeight, dimof (cmdSetDestinationRasterHeight)));
   add ("cmdSetDestinationRasterWidth", new BinaryData (cmdSetDestinationRasterWidth, dimof (cmdSetDestinationRasterWidth)));
   add ("cmdSetResolution", new BinaryData (cmdSetResolution, dimof (cmdSetResolution)));
   add ("cmdSetSourceRasterHeight", new BinaryData (cmdSetSourceRasterHeight, dimof (cmdSetSourceRasterHeight)));
   add ("cmdSetSourceRasterWidth", new BinaryData (cmdSetSourceRasterWidth, dimof (cmdSetSourceRasterWidth)));
   add ("cmdSetTopMargin", new BinaryData (cmdSetTopMargin, dimof (cmdSetTopMargin)));
   add ("cmdSetUnitsOfMeasure", new BinaryData (cmdSetUnitsOfMeasure, dimof (cmdSetUnitsOfMeasure)));
   add ("cmdSetXPos", new BinaryData (cmdSetXPos, dimof (cmdSetXPos)));
   add ("cmdSetXYPos", new BinaryData (cmdSetXYPos, dimof (cmdSetXYPos)));
   add ("cmdSetYPos", new BinaryData (cmdSetYPos, dimof (cmdSetYPos)));
   add ("cmdTerm", new BinaryData (cmdTerm, dimof (cmdTerm)));
   add ("cmdTextLtoR", new BinaryData (cmdTextLtoR, dimof (cmdTextLtoR)));
   add ("cmdTextScaleOff", new BinaryData (cmdTextScaleOff, dimof (cmdTextScaleOff)));
   add ("cmdTextScaleOn", new BinaryData (cmdTextScaleOn, dimof (cmdTextScaleOn)));
   add ("cmdTransferRasterBlock", new BinaryData (cmdTransferRasterBlock, dimof (cmdTransferRasterBlock)));
   add ("cmdTransferRasterPlane", new BinaryData (cmdTransferRasterPlane, dimof (cmdTransferRasterPlane)));
}
