/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <Epson_Stylus_Photo_Data.hpp>

Epson_Stylus_Photo_Data::
Epson_Stylus_Photo_Data ()
{
   static byte DotSize1440[] = {0,0,0,16};
   static byte DotSize360[] = {0,0,0,18};
   static byte DotSize720[] = {0,0,0,17};
   static byte Nozzle_Number[] = {0,0,0,48};
   static byte Nozzle_Spacing[] = {0,0,0,6};
   static byte OffsetStart[] = {0,0,0,1};
   static byte Positioning_x[] = {0,0,1,104};

   add ("DotSize1440", new BinaryData (DotSize1440, dimof (DotSize1440)));
   add ("DotSize360", new BinaryData (DotSize360, dimof (DotSize360)));
   add ("DotSize720", new BinaryData (DotSize720, dimof (DotSize720)));
   add ("Nozzle_Number", new BinaryData (Nozzle_Number, dimof (Nozzle_Number)));
   add ("Nozzle_Spacing", new BinaryData (Nozzle_Spacing, dimof (Nozzle_Spacing)));
   add ("OffsetStart", new BinaryData (OffsetStart, dimof (OffsetStart)));
   add ("Positioning_x", new BinaryData (Positioning_x, dimof (Positioning_x)));
}
