/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <IBM_5577_H02_Commands.hpp>

IBM_5577_H02_Commands::
IBM_5577_H02_Commands()
{
   static byte cmd5577CR[] = {13};
   static byte cmd5577CRLF[] = {13,10};
   static byte cmd5577Image[] = {27,37,37,49,37,99,37,99};
   static byte cmd5577LF[] = {10};
   static byte cmd5577Mode[] = {27,126,18,0,1,17};
   static byte cmd5577MovDY[] = {27,37,37,53,37,99,37,99};
   static byte cmdAbort[] = {12,27,126,1,0,0};
   static byte cmdBeginImageContent[] = {145,1,37,99};
   static byte cmdBeginJob[] = {64,80,74,76,32,74,79,66,32,78,65,77,69,61,76,73,78,85,88,32,74,79,66,13,10};
   static byte cmdBeginSegment[] = {112,4,37,100};
   static byte cmdCharAttrs[] = {27,126,118,0,1,0};
   static byte cmdCharBold[] = {27,126,14,0,1,0};
   static byte cmdCharBoxSize[] = {27,126,116,0,5,0,0,0,0,0};
   static byte cmdCharPitch[] = {27,126,30,0,2,0,0};
   static byte cmdCopies[] = {27,126,51,0,2,1,0};
   static byte cmdDuplexMode[] = {27,126,59,0,4,0,0,0,1};
   static byte cmdEconoModeOff[] = {64,80,74,76,32,83,69,84,32,69,67,79,78,79,77,79,68,69,61,79,70,70,13,10};
   static byte cmdEconoModeOn[] = {64,80,74,76,32,83,69,84,32,69,67,79,78,79,77,79,68,69,61,79,78,13,10};
   static byte cmdEndImageContent[] = {147,0};
   static byte cmdEndJob[] = {64,80,74,76,32,69,79,74,13,10};
   static byte cmdEndSegment[] = {113,0};
   static byte cmdEnterLanguage[] = {64,80,74,76,32,69,78,84,69,82,32,76,65,78,71,85,65,71,69,61,80,65,71,69,83,13,10};
   static byte cmdFormLength[] = {27,126,4,0,3,0,37,99,37,99};
   static byte cmdImageAreaPosition[] = {0,11,172,107,37,87,37,87,37,87,37,99};
   static byte cmdImageControlCommandHeader[] = {27,126,40,37,87};
   static byte cmdImageData[] = {254,146,37,87};
   static byte cmdImageDataDescriptor[] = {0,15,166,251,37,87,37,99,37,87,37,87,37,87,37,87};
   static byte cmdImageDrawCommandHeader[] = {27,126,137,37,87};
   static byte cmdImageEncodingP[] = {149,2,37,99,37,99};
   static byte cmdImageOutputControl[] = {16,0,37,87,37,99,37,87,37,87,37,87,37,99,37,87,37,87};
   static byte cmdImageSizeP[] = {148,9,37,99,37,87,37,87,37,87,37,87};
   static byte cmdInit[] = {27,126,1,0,0};
   static byte cmdJamRecoveryOff[] = {64,80,74,76,32,83,69,84,32,61,79,70,70,13,10};
   static byte cmdJamRecoveryOn[] = {64,80,74,76,32,83,69,84,32,61,79,78,13,10};
   static byte cmdLandscape[] = {27,126,80,0,1,3};
   static byte cmdLinePitch[] = {27,126,31,0,2,0,0};
   static byte cmdOffsetStack[] = {27,126,60,0,8,0,0,0,1,0,0,0,0};
   static byte cmdPJLSignature[] = {27,37,45,49,50,51,52,53,88};
   static byte cmdPageEject[] = {12};
   static byte cmdPageProtectAuto[] = {64,80,74,76,32,83,69,84,32,80,65,71,69,80,82,79,84,69,67,84,61,65,85,84,79,13,10};
   static byte cmdPageProtectOff[] = {64,80,74,76,32,83,69,84,32,80,65,71,69,80,82,79,84,69,67,84,61,79,70,70,13,10};
   static byte cmdPageProtectOn[] = {64,80,74,76,32,83,69,84,32,80,65,71,69,80,82,79,84,69,67,84,61,79,78,13,10};
   static byte cmdPortrait[] = {27,126,80,0,1,0};
   static byte cmdRETOff[] = {64,80,74,76,32,83,69,84,32,82,69,84,61,79,70,70,13,10};
   static byte cmdRETOn[] = {64,80,74,76,32,83,69,84,32,82,69,84,61,79,78,13,10};
   static byte cmdRectImage[] = {27,126,132,37,87,37,99,37,87,37,87};
   static byte cmdRenTanChg[] = {27,126,16,0,1,37,99};
   static byte cmdSelectTray[] = {27,126,70,0,5,0,0,37,99,0,0};
   static byte cmdSetXPos[] = {27,126,28,0,3,3,37,87};
   static byte cmdSetXYPos[] = {27,126,29,0,3,3,37,87};
   static byte cmdSetYPos[] = {27,126,29,0,3,4,37,87};
   static byte cmdStapleOne[] = {64,80,74,76,32,83,69,84,32,61,79,78,69,80,79,82,84,13,10};
   static byte cmdStapleTwo[] = {64,80,74,76,32,83,69,84,32,61,84,87,79,80,79,82,84,13,10};
   static byte cmdStrikeoutOff[] = {27,126,19,0,1,0};
   static byte cmdStrikeoutOn[] = {27,126,19,0,4,3,0,129,92};
   static byte cmdUnderLine[] = {27,126,17,0,1,0};

   add ("cmd5577CR", new BinaryData (cmd5577CR, dimof (cmd5577CR)));
   add ("cmd5577CRLF", new BinaryData (cmd5577CRLF, dimof (cmd5577CRLF)));
   add ("cmd5577Image", new BinaryData (cmd5577Image, dimof (cmd5577Image)));
   add ("cmd5577LF", new BinaryData (cmd5577LF, dimof (cmd5577LF)));
   add ("cmd5577Mode", new BinaryData (cmd5577Mode, dimof (cmd5577Mode)));
   add ("cmd5577MovDY", new BinaryData (cmd5577MovDY, dimof (cmd5577MovDY)));
   add ("cmdAbort", new BinaryData (cmdAbort, dimof (cmdAbort)));
   add ("cmdBeginImageContent", new BinaryData (cmdBeginImageContent, dimof (cmdBeginImageContent)));
   add ("cmdBeginJob", new BinaryData (cmdBeginJob, dimof (cmdBeginJob)));
   add ("cmdBeginSegment", new BinaryData (cmdBeginSegment, dimof (cmdBeginSegment)));
   add ("cmdCharAttrs", new BinaryData (cmdCharAttrs, dimof (cmdCharAttrs)));
   add ("cmdCharBold", new BinaryData (cmdCharBold, dimof (cmdCharBold)));
   add ("cmdCharBoxSize", new BinaryData (cmdCharBoxSize, dimof (cmdCharBoxSize)));
   add ("cmdCharPitch", new BinaryData (cmdCharPitch, dimof (cmdCharPitch)));
   add ("cmdCopies", new BinaryData (cmdCopies, dimof (cmdCopies)));
   add ("cmdDuplexMode", new BinaryData (cmdDuplexMode, dimof (cmdDuplexMode)));
   add ("cmdEconoModeOff", new BinaryData (cmdEconoModeOff, dimof (cmdEconoModeOff)));
   add ("cmdEconoModeOn", new BinaryData (cmdEconoModeOn, dimof (cmdEconoModeOn)));
   add ("cmdEndImageContent", new BinaryData (cmdEndImageContent, dimof (cmdEndImageContent)));
   add ("cmdEndJob", new BinaryData (cmdEndJob, dimof (cmdEndJob)));
   add ("cmdEndSegment", new BinaryData (cmdEndSegment, dimof (cmdEndSegment)));
   add ("cmdEnterLanguage", new BinaryData (cmdEnterLanguage, dimof (cmdEnterLanguage)));
   add ("cmdFormLength", new BinaryData (cmdFormLength, dimof (cmdFormLength)));
   add ("cmdImageAreaPosition", new BinaryData (cmdImageAreaPosition, dimof (cmdImageAreaPosition)));
   add ("cmdImageControlCommandHeader", new BinaryData (cmdImageControlCommandHeader, dimof (cmdImageControlCommandHeader)));
   add ("cmdImageData", new BinaryData (cmdImageData, dimof (cmdImageData)));
   add ("cmdImageDataDescriptor", new BinaryData (cmdImageDataDescriptor, dimof (cmdImageDataDescriptor)));
   add ("cmdImageDrawCommandHeader", new BinaryData (cmdImageDrawCommandHeader, dimof (cmdImageDrawCommandHeader)));
   add ("cmdImageEncodingP", new BinaryData (cmdImageEncodingP, dimof (cmdImageEncodingP)));
   add ("cmdImageOutputControl", new BinaryData (cmdImageOutputControl, dimof (cmdImageOutputControl)));
   add ("cmdImageSizeP", new BinaryData (cmdImageSizeP, dimof (cmdImageSizeP)));
   add ("cmdInit", new BinaryData (cmdInit, dimof (cmdInit)));
   add ("cmdJamRecoveryOff", new BinaryData (cmdJamRecoveryOff, dimof (cmdJamRecoveryOff)));
   add ("cmdJamRecoveryOn", new BinaryData (cmdJamRecoveryOn, dimof (cmdJamRecoveryOn)));
   add ("cmdLandscape", new BinaryData (cmdLandscape, dimof (cmdLandscape)));
   add ("cmdLinePitch", new BinaryData (cmdLinePitch, dimof (cmdLinePitch)));
   add ("cmdOffsetStack", new BinaryData (cmdOffsetStack, dimof (cmdOffsetStack)));
   add ("cmdPJLSignature", new BinaryData (cmdPJLSignature, dimof (cmdPJLSignature)));
   add ("cmdPageEject", new BinaryData (cmdPageEject, dimof (cmdPageEject)));
   add ("cmdPageProtectAuto", new BinaryData (cmdPageProtectAuto, dimof (cmdPageProtectAuto)));
   add ("cmdPageProtectOff", new BinaryData (cmdPageProtectOff, dimof (cmdPageProtectOff)));
   add ("cmdPageProtectOn", new BinaryData (cmdPageProtectOn, dimof (cmdPageProtectOn)));
   add ("cmdPortrait", new BinaryData (cmdPortrait, dimof (cmdPortrait)));
   add ("cmdRETOff", new BinaryData (cmdRETOff, dimof (cmdRETOff)));
   add ("cmdRETOn", new BinaryData (cmdRETOn, dimof (cmdRETOn)));
   add ("cmdRectImage", new BinaryData (cmdRectImage, dimof (cmdRectImage)));
   add ("cmdRenTanChg", new BinaryData (cmdRenTanChg, dimof (cmdRenTanChg)));
   add ("cmdSelectTray", new BinaryData (cmdSelectTray, dimof (cmdSelectTray)));
   add ("cmdSetXPos", new BinaryData (cmdSetXPos, dimof (cmdSetXPos)));
   add ("cmdSetXYPos", new BinaryData (cmdSetXYPos, dimof (cmdSetXYPos)));
   add ("cmdSetYPos", new BinaryData (cmdSetYPos, dimof (cmdSetYPos)));
   add ("cmdStapleOne", new BinaryData (cmdStapleOne, dimof (cmdStapleOne)));
   add ("cmdStapleTwo", new BinaryData (cmdStapleTwo, dimof (cmdStapleTwo)));
   add ("cmdStrikeoutOff", new BinaryData (cmdStrikeoutOff, dimof (cmdStrikeoutOff)));
   add ("cmdStrikeoutOn", new BinaryData (cmdStrikeoutOn, dimof (cmdStrikeoutOn)));
   add ("cmdUnderLine", new BinaryData (cmdUnderLine, dimof (cmdUnderLine)));
}
