/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include <KS_KS_Generic_48_pin_Commands.hpp>

KS_KS_Generic_48_pin_Commands::
KS_KS_Generic_48_pin_Commands()
{
   static byte cmdAbort[] = {12,27,64};
   static byte cmdBidi[] = {27,85,37,99};
   static byte cmdEndRasterGraphicsLine[] = {13};
   static byte cmdInit[] = {27,64,0,0};
   static byte cmdMoveToNextRasterGraphicsLine[] = {10};
   static byte cmdPageEject[] = {12};
   static byte cmdReset[] = {27,64};
   static byte cmdSetColor[] = {27,114,37,99};
   static byte cmdSetPageLengthInLines[] = {27,67,37,99};
   static byte cmdSetSixthLineSpacing[] = {27,50};
   static byte cmdSetXPos[] = {27,36,37,119};

   add ("cmdAbort", new BinaryData (cmdAbort, dimof (cmdAbort)));
   add ("cmdBidi", new BinaryData (cmdBidi, dimof (cmdBidi)));
   add ("cmdEndRasterGraphicsLine", new BinaryData (cmdEndRasterGraphicsLine, dimof (cmdEndRasterGraphicsLine)));
   add ("cmdInit", new BinaryData (cmdInit, dimof (cmdInit)));
   add ("cmdMoveToNextRasterGraphicsLine", new BinaryData (cmdMoveToNextRasterGraphicsLine, dimof (cmdMoveToNextRasterGraphicsLine)));
   add ("cmdPageEject", new BinaryData (cmdPageEject, dimof (cmdPageEject)));
   add ("cmdReset", new BinaryData (cmdReset, dimof (cmdReset)));
   add ("cmdSetColor", new BinaryData (cmdSetColor, dimof (cmdSetColor)));
   add ("cmdSetPageLengthInLines", new BinaryData (cmdSetPageLengthInLines, dimof (cmdSetPageLengthInLines)));
   add ("cmdSetSixthLineSpacing", new BinaryData (cmdSetSixthLineSpacing, dimof (cmdSetSixthLineSpacing)));
   add ("cmdSetXPos", new BinaryData (cmdSetXPos, dimof (cmdSetXPos)));
}
