/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _Okidata_ML_193
#define _Okidata_ML_193

#include <Okidata_ML_184_Turbo_Forms.hpp>
#include <Okidata_ML_184_Turbo_Medias.hpp>
#include <Okidata_Orientations.hpp>
#include <Okidata_ML_184_Turbo_PrintModes.hpp>
#include <Okidata_ML_184_Turbo_Resolutions.hpp>
#include <Okidata_ML_184_Turbo_Trays.hpp>
#include <Okidata_ML_184_Turbo_Commands.hpp>
#include <Okidata_ML_184_Turbo_PrintModes.hpp>
#include <Okidata_ESC_Instance.hpp>
#include <Okidata_ESC_Blitter.hpp>
#include <Device.hpp>
#include <PrintDevice.hpp>
#include <JobProperties.hpp>
#include <OmniProxy.hpp>

class Okidata_ML_193 : public PrintDevice
{
public:
   enum {
      TOP_TO_BOTTOM = 1
   };

   Okidata_ML_193 ();

   Okidata_ML_193 (PSZCRO pszJobProperties);

   virtual DeviceCopies       *getDefaultCopies         ();
   virtual PSZCRO              getDefaultDitherID       ();
   virtual DeviceForm         *getDefaultForm           ();
   virtual DeviceMedia        *getDefaultMedia          ();
   virtual DeviceNUp          *getDefaultNUp            ();
   virtual DeviceOrientation  *getDefaultOrientation    ();
   virtual DeviceOutputBin    *getDefaultOutputBin      ();
   virtual DevicePrintMode    *getDefaultPrintMode      ();
   virtual DeviceResolution   *getDefaultResolution     ();
   virtual DeviceScaling      *getDefaultScaling        ();
   virtual DeviceSheetCollate *getDefaultSheetCollate   ();
   virtual DeviceSide         *getDefaultSide           ();
   virtual DeviceStitching    *getDefaultStitching      ();
   virtual DeviceTray         *getDefaultTray           ();
   virtual DeviceTrimming     *getDefaultTrimming       ();

   virtual DeviceGamma        *getCurrentGamma          ();

   virtual DeviceCommand      *getDefaultCommands       ();
   virtual DeviceData         *getDefaultData           ();
   virtual DeviceString       *getDefaultString         ();

private:
   void commonInit ();
};

extern "C" {
   PSZCRO       getVersion                  ();
   Enumeration *getDeviceEnumeration        (PSZCRO  pszLibraryName,
                                             bool    fBuildOnly);
   Device      *newDeviceW_Advanced         (bool    fAdvanced);
   Device      *newDeviceW_JopProp_Advanced (PSZCRO  pszJobProperties,
                                             bool    fAdvanced);
   void         deleteDevice                (Device *pDevice);
};

#endif
