/*
 *   IBM Omni driver
 *   Copyright (c) International Business Machines Corp., 2000
 *
 *   This library is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Lesser General Public License as published
 *   by the Free Software Foundation; either version 2.1 of the License, or
 *   (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public License
 *   along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef _Panasonic_KX_P3624_Medias
#define _Panasonic_KX_P3624_Medias

#include <BinaryData.hpp>
#include <DeviceMedia.hpp>

class Panasonic_KX_P3624_Medias : public DeviceMedia
{
public:
Panasonic_KX_P3624_Medias (Device *pDevice,
                           PSZCRO      pszJobProperties,
                           BinaryData *data,
                           int         iColorAdjustRequired,
                           int         iAbsorption);

   DeviceMedia         *create         (Device *pDevice, PSZCRO pszJobProperties);
   static DeviceMedia  *createS        (Device *pDevice, PSZCRO pszJobProperties);

   bool                 isSupported    (PSZCRO  pszJobProperties);
   virtual Enumeration *getEnumeration (bool    fInDeviceSpecific);
};

#endif
